Bug 156897 - Error: Missing Dependency: struts11 = 1.1-1jpp_2fc is needed by package struts11-webapps-tomcat5
Error: Missing Dependency: struts11 = 1.1-1jpp_2fc is needed by package strut...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-04 19:21 EDT by Raul Suarez
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-20 17:48:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raul Suarez 2005-05-04 19:21:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686; en) Opera 8.0

Description of problem:
I get the following error when trying to update all the packages using yum after 
a clean FC4 install that included all packages:

--> Running transaction check
--> Processing Dependency: struts11 = 1.1-1jpp_2fc for package: struts11-
webapps-tomcat5
--> Finished Dependency Resolution
Error: Missing Dependency: struts11 = 1.1-1jpp_2fc is needed by package 
struts11-webapps-tomcat5

After removing struts11-webapps-tomcat5, yum executed OK

yum remove struts11-webapps-tomcat5

yum update


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. I ran yum to update everything (instead of using up2date)

yum update

Actual Results:  I got this error:
--> Running transaction check
--> Processing Dependency: struts11 = 1.1-1jpp_2fc for package: struts11-
webapps-tomcat5
--> Finished Dependency Resolution
Error: Missing Dependency: struts11 = 1.1-1jpp_2fc is needed by package 
struts11-webapps-tomcat5



Expected Results:  I expected yum to update all the packages.

Additional info:

This is the extent of all the modifications I did after a clean install:
1. Installed FC4: New installation in a clean partition, selecing to install 
'All packages'
2.- Installed and configured ndiswrapper
3. Updated the up2date package
4. Ran the Redhat network alert notification and it reported 730 updates
5. Click the launch up2date and it just stayed in the initializing up2date 
window  (I left it overnight). no error, no freeze nothing, just stayed there 
until I closed the window...
Comment 1 Rahul Sundaram 2005-06-20 17:48:04 EDT
This is something to do with the churn in the development tree rather than yum.
File a report if this is reproducible in the final release
Comment 2 Raul Suarez 2005-06-21 23:34:00 EDT
The released version does not even include struts11-webapps-tomcat5.

I was unable to reproduce.

Note You need to log in before you can comment on or make changes to this bug.